dgg_flutter_refresh 0.0.1

Flutter Android iOS web

A new Flutter package project using pull refresh in iOS and Android.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  dgg_flutter_refresh: ^0.0.1

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:dgg_flutter_refresh/dgg_flutter_refresh_sdk.dart';
import 'package:dgg_flutter_refresh/pull_refresh/flutter_pull_refresh.dart';
import 'package:dgg_flutter_refresh/pull_refresh/pull_to_refresh.dart';
import 'package:dgg_flutter_refresh/pull_refresh/screenutil.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/indicator/bezier_indicator.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/indicator/classic_indicator.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/indicator/custom_indicator.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/indicator/link_indicator.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/indicator/material_indicator.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/indicator/twolevel_indicator.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/indicator/waterdrop_header.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/internals/indicator_wrap.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/internals/refresh_localizations.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/internals/refresh_physics.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/internals/slivers.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/loadStatusView.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/loadsStatus.dart';
import 'package:dgg_flutter_refresh/pull_refresh/src/smart_refresher.dart';
0
likes
90
pub points
0%
popularity

A new Flutter package project using pull refresh in iOS and Android.

Homepage

Documentation

API reference

Uploader

wmp505490956@gmail.com

License

unknown (LICENSE)

Dependencies

flutter

More

Packages that depend on dgg_flutter_refresh